
Redmine - Defect #10517

Submitting a form twice results in duplicated creation of e.g. time entry or issue

2012-03-22 11:26 - Bo Hansen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

If you click twice on a form - e.g. creating an issue or creating a time entry then I end up with duplicate entry in the database.

Tested on the demo site also. It shows the same behavior.

Related issues:

Related to Redmine - Feature #6555: Double-click on "Submit" and "Save" butto... Closed 2010-10-01

History

#1 - 2012-03-30 09:53 - fangzheng (方正)

I think this is not a "defect", since duplicate issues are valid, in fact.

However, disable the submit button after clicked will be a better way to avoid this mistake.

#2 - 2012-04-13 19:03 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #6555, fixed in r9391 for 1.4.0.

#3 - 2012-04-15 20:44 - Bo Hansen

Thanks for the quick resolution. Looking forward to upgrade to 1.4 :-)...
